#pragma once
#include <object/ui/uitextbox.hpp>

namespace Game::AGame {
    class SampleTextBox : public Object::UITextBox {
        using Object::UITextBox::UITextBox; // Inherit constructors

        public:
            ~SampleTextBox() override = default;

            void start() override {
                // Call the base class start to initialize the text box
                mZIndex = 1000; // Ensure it renders on top of most other entities
                Object::UITextBox::start();
                setText("Hello, World!");

                mIsActive = false;
            }
            void update(float deltaTime) override {
                // Call the base class update to handle input and text refreshing
                Object::UITextBox::update(deltaTime);
            }
    };
}